Skip to content

Delete a label

Request

OAuth 2.0 scope:
  • okta.governance.labels.manage
Admin roles:
  • SUPER_ADMIN

Deletes a label key and its associated label values

Note: You can only delete a label key if there are no associated label values assigned to any resources.

Path
labelIdstringrequired

Unique identifier for the label

DELETE
/governance/api/v1/labels/{labelId}
curl -i -X DELETE \
  'https://okta-subdomain.pixtulate.com/governance/api/v1/labels/{labelId}'

Responses

Label deleted successfully

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Response
No content